port: 7890
socks-port: 7891
redir-port: 7892
mixed-port: 7893

allow-lan: true
mode: rule
log-level: warning
external-controller: 0.0.0.0:9090
external-ui: ui
secret: "pwd"

dns:
  enabled: true
  listen: 0.0.0.0:53
  ipv6: false
  prefer-h3: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter:
    - "+.lan"
    - "+.local"
  default-nameserver:
    - 223.5.5.5
    - 119.29.29.29
    - 1.1.1.1
    - 8.8.8.8
  nameserver:
    - https://1.1.1.1/dns-query
    - https://8.8.8.8/dns-query
    - tls://one.one.one.one:853
    - tls://dns.google:853
    - https://one.one.one.one/dns-query
    - https://dns.google/dns-query
  nameserver-policy:
    geosite:cn,private:
      - https://223.5.5.5/dns-query
      - https://119.29.29.29/dns-query
      - tls://doh.pub:853
      - tls://dns.alidns.com:853
      - https://doh.pub/dns-query
      - https://dns.alidns.com/dns-query
      
proxy-providers:
  proxies:
    type: file
    interval: 3600
    path: ./proxies.yaml


proxy-groups:
  - name: "♻️ 自动选择"
    type: url-test
    use:
      - proxies
    url: "http://www.gstatic.com/generate_204"
    interval: 3600
    
  - name: "📲 Telegram"
    type: select
    use:
      - proxies
    proxies:
      - "♻️ 自动选择"
      - "DIRECT"

  - name: "📹 YouTube"
    type: select
    use:
      - proxies
    proxies:
      - "♻️ 自动选择"
      - "DIRECT"
    
  - name: "🌏 国内媒体"
    type: select
    use:
      - proxies
    proxies:
      - "DIRECT"
      - "♻️ 自动选择"
      
  - name: "🎯 全球直连"
    type: select
    use:
      - proxies
    proxies:
      - "DIRECT"

  - name: "😺 GitHub"
    type: select
    use:
      - proxies
    proxies:
      - "♻️ 自动选择"
      - "🎯 全球直连"
      
  - name: "🐟 漏网之鱼"
    type: select
    use:
      - proxies
    proxies:
      - "♻️ 自动选择"
      - "DIRECT"
      - "REJECT"
      
      
      
rules:
  - 'DOMAIN-KEYWORD,libvio,DIRECT'
  - 'DOMAIN-KEYWORD,wogg,DIRECT'
  - 'DOMAIN-SUFFIX,wogg.net,DIRECT'
  - 'DOMAIN,www.wogg.net,DIRECT'
  - 'DOMAIN-SUFFIX,xxooo.cf,DIRECT'
  - 'DOMAIN,wogg.xxooo.cf,DIRECT'
  - 'DOMAIN-SUFFIX,wogg.lol,DIRECT'
  - 'DOMAIN,www.wogg.lol,DIRECT'
  - 'DOMAIN-SUFFIX,91muou.icu,♻️ 自动选择'
  - 'DOMAIN-SUFFIX,666291.xyz,♻️ 自动选择'
  - 'DOMAIN-SUFFIX,muouso.fun,♻️ 自动选择'
  
  # 内网 IP 段直连，避免内网流量被代理
  - 'IP-CIDR,10.0.0.0/8,🎯 全球直连,no-resolve'
  - 'IP-CIDR,100.64.0.0/10,🎯 全球直连,no-resolve'
  - 'IP-CIDR,127.0.0.0/8,🎯 全球直连,no-resolve'
  - 'IP-CIDR,172.16.0.0/12,🎯 全球直连,no-resolve'
  - 'IP-CIDR,192.168.0.0/16,🎯 全球直连,no-resolve'
  - 'IP-CIDR,198.18.0.0/16,🎯 全球直连,no-resolve'

  # 内网 IPv6 地址直连
  - 'IP-CIDR6,::1/128,🎯 全球直连,no-resolve'
  - 'IP-CIDR6,fc00::/7,🎯 全球直连,no-resolve'
  - 'IP-CIDR6,fe80::/10,🎯 全球直连,no-resolve'
  - 'IP-CIDR6,fd00::/8,🎯 全球直连,no-resolve'

  # 本地域名直连
  - 'DOMAIN-SUFFIX,localhost,🎯 全球直连'
  - 'DOMAIN-SUFFIX,local,🎯 全球直连'
  - 'DOMAIN-SUFFIX,ip6-localhost,🎯 全球直连'
  - 'DOMAIN-SUFFIX,ip6-loopback,🎯 全球直连'

  # Telegram 规则
  - 'DOMAIN-SUFFIX,t.me,📲 Telegram'
  - 'DOMAIN-SUFFIX,telegram.org,📲 Telegram'
  - 'DOMAIN-SUFFIX,telegram.me,📲 Telegram'
  - 'DOMAIN-SUFFIX,cdn.telegram.org,📲 Telegram'
  
  # YouTube 规则
  - 'DOMAIN-SUFFIX,youtube.com,📹 YouTube'
  - 'DOMAIN-SUFFIX,googlevideo.com,📹 YouTube'
  - 'DOMAIN-SUFFIX,ytimg.com,📹 YouTube'
  - 'DOMAIN-SUFFIX,ytstatic.com,📹 YouTube'
  
  # 国内媒体
  - 'DOMAIN-SUFFIX,iqiyi.com,🌏 国内媒体'
  - 'DOMAIN-SUFFIX,youku.com,🌏 国内媒体'
  - 'DOMAIN-SUFFIX,qq.com,🌏 国内媒体'
  - 'DOMAIN-SUFFIX,tencent.com,🌏 国内媒体'
  - 'DOMAIN-SUFFIX,bilibili.com,🌏 国内媒体'
  - 'DOMAIN-SUFFIX,acg.tv,🌏 国内媒体'
  - 'DOMAIN-SUFFIX,baidu.com,🌏 国内媒体'
  - 'DOMAIN-SUFFIX,weibo.com,🌏 国内媒体'
  - 'DOMAIN-SUFFIX,tmall.com,🌏 国内媒体'
  - 'DOMAIN-SUFFIX,alipay.com,🌏 国内媒体'

  # 全球直连
  - 'DOMAIN-SUFFIX,github.com,😺 GitHub'
  - 'DOMAIN-SUFFIX,githubusercontent.com,😺 GitHub'
  - 'DOMAIN-SUFFIX,gitlab.com,😺 GitHub'
  - 'DOMAIN-SUFFIX,stackoverflow.com,🎯 全球直连'
  - 'DOMAIN-SUFFIX,wikipedia.org,🎯 全球直连'
  
  # 夸克网盘（Quark）
  - 'DOMAIN-SUFFIX,myquark.cn,DIRECT'
  - 'DOMAIN-SUFFIX,quark.cn,DIRECT'
  - 'DOMAIN-SUFFIX,qbox.me,DIRECT'

  # 115网盘
  - 'DOMAIN-SUFFIX,115.com,♻️ 自动选择'
  - 'DOMAIN-SUFFIX,115img.com,♻️ 自动选择'
  - 'DOMAIN-SUFFIX,115.com.cn,♻️ 自动选择'

  # UC网盘
  - 'DOMAIN-SUFFIX,uc.cn,DIRECT'
  - 'DOMAIN-SUFFIX,ucweb.com,DIRECT'

  # 阿里云盘
  - 'DOMAIN-SUFFIX,aliyundrive.com,DIRECT'
  - 'DOMAIN-SUFFIX,aliyun.com,DIRECT'
  - 'DOMAIN-SUFFIX,alibaba.com,DIRECT'

  # PikPak网盘
  - 'DOMAIN-SUFFIX,pikpak.com,♻️ 自动选择'
  - 'DOMAIN-SUFFIX,pikpak.io,♻️ 自动选择'

  # 迅雷
  - 'DOMAIN-SUFFIX,xunlei.com,DIRECT'
  - 'DOMAIN-SUFFIX,xiami.com,DIRECT'
  - 'DOMAIN-SUFFIX,thunder.com,DIRECT'

  # 天翼网盘
  - 'DOMAIN-SUFFIX,cloud.189.cn,DIRECT'
  - 'DOMAIN-SUFFIX,189.cn,DIRECT'

  # 漏网之鱼
  - 'GEOIP,CN,DIRECT'
  - 'MATCH,🐟 漏网之鱼'